complexType "FeeLeg"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-cd-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | initialPayment?, singlePayment*, periodicPayment?
</...>

Content Model Elements (3):

  initialPayment, periodicPayment, singlePayment

All Direct / Indirect Based Elements (2):

  feeLeg (in creditDefaultSwap in creditDefaultSwapOption), | feeLeg (in creditDefaultSwap)

Known Usage Locations

- As direct type of elements (2):

  feeLeg (in creditDefaultSwap in creditDefaultSwapOption), | feeLeg (in creditDefaultSwap)

Type Definition Detail

Type Derivation Tree Leg (extension) FeeLeg

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="FeeLeg"> <xsd:complexContent> <xsd:extension base="Leg"> <xsd:sequence> <xsd:element minOccurs="0" name="initialPayment" type="InitialPayment"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="singlePayment" type="SinglePayment"/> <xsd:element minOccurs="0" name="periodicPayment" type="PeriodicPayment"/> <!--View Generation: SKIPPED marketFixedRate - Other - supported in 'quote' element--> <!--View Generation: SKIPPED paymentDelay - Standardized--> <!--View Generation: SKIPPED initialPoints - Other - supported in 'quote' element--> <!--View Generation: SKIPPED quotationStyle - Other - supported in quote element--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
initialPayment

  Type: | InitialPayment, complex content

  Specifies a single fixed payment that is payable by the payer to the receiver on the initial payment date. The fixed payment to be paid is specified in terms of a known currency amount. This element should be used for CDS Index trades and can be used for CDS trades where it is necessary to represent a payment from Seller to Buyer. For CDS trades where a payment is to be made from Buyer to Seller the feeLeg/singlePayment structure must be used.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="initialPayment" type="InitialPayment"/>

periodicPayment

  Type: | PeriodicPayment, complex content

  Specifies a periodic schedule of fixed amounts that are payable by the buyer to the seller on the fixed rate payer payment dates. The fixed amount to be paid on each payment date can be specified in terms of a known currency amount or as an amount calculated on a formula basis by reference to a per annum fixed rate. The applicable business day convention and business day for adjusting any fixed rate payer payment date if it would otherwise fall on a day that is not a business day are those specified in the dateAdjustments element within the generalTerms component. ISDA 2003 Term:
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="periodicPayment" type="PeriodicPayment"/>

singlePayment

  Type: | SinglePayment, complex content

  Specifies a single fixed amount that is payable by the buyer to the seller on the fixed rate payer payment date. The fixed amount to be paid is specified in terms of a known currency amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="singlePayment" type="SinglePayment"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.